<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <artifactId>eladmin</artifactId>
        <groupId>me.zhengjie</groupId>
        <version>2.6</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>

    <artifactId>eladmin-flowable</artifactId>
    <name>工作流模块</name>
    <properties>
        <swagger.host>localhost:8000</swagger.host>
        <flowable.version>6.6.0</flowable.version>
    </properties>
    <dependencies>
        <!--flowable-->
        <dependency>
            <groupId>org.flowable</groupId>
            <artifactId>flowable-spring-boot-starter-rest</artifactId>
            <version>${flowable.version}</version>
            <exclusions>
                <exclusion>
                    <artifactId>jsr250-api</artifactId>
                    <groupId>javax.annotation</groupId>
                </exclusion>
            </exclusions>
        </dependency>

        <dependency>
            <groupId>me.zhengjie</groupId>
            <artifactId>eladmin-common</artifactId>
            <version>2.6</version>
            <scope>compile</scope>
        </dependency>

        <dependency>
            <groupId>com.h2database</groupId>
            <artifactId>h2</artifactId>
            <scope>test</scope>
        </dependency>
    </dependencies>
    <profiles>
        <profile>
            <id>swagger</id>
            <activation>
                <activeByDefault>true</activeByDefault>
            </activation>
            <build>
                <plugins>
                    <plugin>
                        <groupId>com.github.kongchen</groupId>
                        <artifactId>swagger-maven-plugin</artifactId>
                        <version>3.1.6</version>
                        <configuration>
                            <apiSources>

                                <apiSource>
                                    <springmvc>true</springmvc>
                                    <locations>
                                        <location>org.flowable.rest.service.api</location>
                                    </locations>
                                    <schemes>
                                        <scheme>http</scheme>
                                        <scheme>https</scheme>
                                    </schemes>
                                    <host>${swagger.host}</host>
                                    <basePath>/flowable/service</basePath>
                                    <info>
                                        <title>Flowable REST API</title>
                                        <version>v1</version>
                                        <contact>
                                            <email></email>
                                            <name>Flowable</name>
                                            <url>http://www.flowable.org/</url>
                                        </contact>
                                        <license>
                                            <url>http://www.apache.org/licenses/LICENSE-2.0.html</url>
                                            <name>Apache 2.0</name>
                                        </license>
                                    </info>
                                    <securityDefinitions>
                                        <securityDefinition>
                                            <jsonPath>${basedir}/src/main//resources/securityDefinition.json</jsonPath>
                                        </securityDefinition>
                                    </securityDefinitions>
                                    <descriptionFile>${basedir}/src/main/resources/swagger/info.txt</descriptionFile>
                                    <outputFormats>json,yaml</outputFormats>
                                    <swaggerFileName>flowable</swaggerFileName>
                                    <swaggerDirectory>${basedir}/src/main/resources/static/docs/specfile/process</swaggerDirectory>
                                </apiSource>
                                <!-- ++++++++++ -->
                                <!-- IDM -->
                                <!-- ++++++++++ -->
                                <apiSource>
                                    <springmvc>true</springmvc>
                                    <locations>
                                        <location>org.flowable.idm.rest.service.api</location>
                                    </locations>
                                    <schemes>
                                        <scheme>http</scheme>
                                        <scheme>https</scheme>
                                    </schemes>
                                    <host>${swagger.host}</host>
                                    <basePath>/flowable-rest/idm-api</basePath>
                                    <info>
                                        <title>Flowable IDM REST API</title>
                                        <version>v1</version>
                                        <contact>
                                            <email></email>
                                            <name>Flowable</name>
                                            <url>http://www.flowable.org/</url>
                                        </contact>
                                        <license>
                                            <url>http://www.apache.org/licenses/LICENSE-2.0.html</url>
                                            <name>Apache 2.0</name>
                                        </license>
                                    </info>
                                    <securityDefinitions>
                                        <securityDefinition>
                                            <jsonPath>${basedir}/src/main//resources/securityDefinition.json</jsonPath>
                                        </securityDefinition>
                                    </securityDefinitions>
                                    <descriptionFile>${basedir}/src/main/resources/swagger/info.txt</descriptionFile>
                                    <outputFormats>json,yaml</outputFormats>
                                    <swaggerFileName>flowable</swaggerFileName>
                                    <swaggerDirectory>${basedir}/src/main/resources/static/docs/specfile/idm</swaggerDirectory>
                                </apiSource>
                                <!-- ++++++++++ -->
                                <!-- DMN -->
                                <!-- ++++++++++ -->
                                <apiSource>
                                    <springmvc>true</springmvc>
                                    <locations>
                                        <location>org.flowable.dmn.rest.service.api</location>
                                    </locations>
                                    <schemes>
                                        <scheme>http</scheme>
                                        <scheme>https</scheme>
                                    </schemes>
                                    <host>${swagger.host}</host>
                                    <basePath>/flowable-rest/dmn-api</basePath>
                                    <info>
                                        <title>Flowable DMN REST API</title>
                                        <version>v1</version>
                                        <contact>
                                            <email></email>
                                            <name>Flowable</name>
                                            <url>http://www.flowable.org/</url>
                                        </contact>
                                        <license>
                                            <url>http://www.apache.org/licenses/LICENSE-2.0.html</url>
                                            <name>Apache 2.0</name>
                                        </license>
                                    </info>
                                    <securityDefinitions>
                                        <securityDefinition>
                                            <jsonPath>${basedir}/src/main//resources/securityDefinition.json</jsonPath>
                                        </securityDefinition>
                                    </securityDefinitions>
                                    <descriptionFile>${basedir}/src/main/resources/swagger/info.txt</descriptionFile>
                                    <outputFormats>json,yaml</outputFormats>
                                    <swaggerFileName>flowable</swaggerFileName>
                                    <swaggerDirectory>${basedir}/src/main/resources/static/docs/specfile/dmn</swaggerDirectory>
                                </apiSource>
                                <!-- ++++++++++ -->
                                <!-- FORM -->
                                <!-- ++++++++++ -->
                                <apiSource>
                                    <springmvc>true</springmvc>
                                    <locations>
                                        <location>org.flowable.form.rest.service.api</location>
                                    </locations>
                                    <schemes>
                                        <scheme>http</scheme>
                                        <scheme>https</scheme>
                                    </schemes>
                                    <host>${swagger.host}</host>
                                    <basePath>/flowable-rest/form-api</basePath>
                                    <info>
                                        <title>Flowable FORM REST API</title>
                                        <version>v1</version>
                                        <contact>
                                            <email></email>
                                            <name>Flowable</name>
                                            <url>http://www.flowable.org/</url>
                                        </contact>
                                        <license>
                                            <url>http://www.apache.org/licenses/LICENSE-2.0.html</url>
                                            <name>Apache 2.0</name>
                                        </license>
                                    </info>
                                    <securityDefinitions>
                                        <securityDefinition>
                                            <jsonPath>${basedir}/src/main//resources/securityDefinition.json</jsonPath>
                                        </securityDefinition>
                                    </securityDefinitions>
                                    <descriptionFile>${basedir}/src/main/resources/swagger/info.txt</descriptionFile>
                                    <outputFormats>json,yaml</outputFormats>
                                    <swaggerFileName>flowable</swaggerFileName>
                                    <swaggerDirectory>${basedir}/src/main/resources/static/docs/specfile/form</swaggerDirectory>
                                </apiSource>
                                <!-- ++++++++++ -->
                                <!-- CONTENT -->
                                <!-- ++++++++++ -->
                                <apiSource>
                                    <springmvc>true</springmvc>
                                    <locations>
                                        <location>org.flowable.content.rest.service.api</location>
                                    </locations>
                                    <schemes>
                                        <scheme>http</scheme>
                                        <scheme>https</scheme>
                                    </schemes>
                                    <host>${swagger.host}</host>
                                    <basePath>/flowable-rest/content-api</basePath>
                                    <info>
                                        <title>Flowable CONTENT REST API</title>
                                        <version>v1</version>
                                        <contact>
                                            <email></email>
                                            <name>Flowable</name>
                                            <url>http://www.flowable.org/</url>
                                        </contact>
                                        <license>
                                            <url>http://www.apache.org/licenses/LICENSE-2.0.html</url>
                                            <name>Apache 2.0</name>
                                        </license>
                                    </info>
                                    <securityDefinitions>
                                        <securityDefinition>
                                            <jsonPath>${basedir}/src/main//resources/securityDefinition.json</jsonPath>
                                        </securityDefinition>
                                    </securityDefinitions>
                                    <descriptionFile>${basedir}/src/main/resources/swagger/info.txt</descriptionFile>
                                    <outputFormats>json,yaml</outputFormats>
                                    <swaggerFileName>flowable</swaggerFileName>
                                    <swaggerDirectory>${basedir}/src/main/resources/static/docs/specfile/content</swaggerDirectory>
                                </apiSource>
                                <!-- ++++++++++ -->
                                <!-- APP -->
                                <!-- ++++++++++ -->
                                <apiSource>
                                    <springmvc>true</springmvc>
                                    <locations>
                                        <location>org.flowable.app.rest.service.api</location>
                                    </locations>
                                    <schemes>
                                        <scheme>http</scheme>
                                        <scheme>https</scheme>
                                    </schemes>
                                    <host>${swagger.host}</host>
                                    <basePath>/flowable-rest/app-api</basePath>
                                    <info>
                                        <title>Flowable APP REST API</title>
                                        <version>v1</version>
                                        <contact>
                                            <email></email>
                                            <name>Flowable</name>
                                            <url>http://www.flowable.org/</url>
                                        </contact>
                                        <license>
                                            <url>http://www.apache.org/licenses/LICENSE-2.0.html</url>
                                            <name>Apache 2.0</name>
                                        </license>
                                    </info>
                                    <securityDefinitions>
                                        <securityDefinition>
                                            <jsonPath>${basedir}/src/main//resources/securityDefinition.json</jsonPath>
                                        </securityDefinition>
                                    </securityDefinitions>
                                    <descriptionFile>${basedir}/src/main/resources/swagger/info.txt</descriptionFile>
                                    <outputFormats>json,yaml</outputFormats>
                                    <swaggerFileName>flowable</swaggerFileName>
                                    <swaggerDirectory>${basedir}/src/main/resources/static/docs/specfile/app</swaggerDirectory>
                                </apiSource>
                                <!-- ++++++++++ -->
                                <!-- CMMN -->
                                <!-- ++++++++++ -->
                                <apiSource>
                                    <springmvc>true</springmvc>
                                    <locations>
                                        <location>org.flowable.cmmn.rest.service.api</location>
                                    </locations>
                                    <schemes>
                                        <scheme>http</scheme>
                                        <scheme>https</scheme>
                                    </schemes>
                                    <host>${swagger.host}</host>
                                    <basePath>/flowable-rest/cmmn-api</basePath>
                                    <info>
                                        <title>Flowable CMMN REST API</title>
                                        <version>v1</version>
                                        <contact>
                                            <email></email>
                                            <name>Flowable</name>
                                            <url>http://www.flowable.org/</url>
                                        </contact>
                                        <license>
                                            <url>http://www.apache.org/licenses/LICENSE-2.0.html</url>
                                            <name>Apache 2.0</name>
                                        </license>
                                    </info>
                                    <securityDefinitions>
                                        <securityDefinition>
                                            <jsonPath>${basedir}/src/main//resources/securityDefinition.json</jsonPath>
                                        </securityDefinition>
                                    </securityDefinitions>
                                    <descriptionFile>${basedir}/src/main/resources/swagger/info.txt</descriptionFile>
                                    <outputFormats>json,yaml</outputFormats>
                                    <swaggerFileName>flowable</swaggerFileName>
                                    <swaggerDirectory>${basedir}/src/main/resources/static/docs/specfile/cmmn</swaggerDirectory>
                                </apiSource>
                            </apiSources>
                        </configuration>
                        <executions>
                            <execution>
                                <phase>install</phase>
                                <goals>
                                    <goal>generate</goal>
                                </goals>
                            </execution>
                        </executions>
                    </plugin>
                </plugins>
            </build>
        </profile>
    </profiles>
</project>
